<?php

namespace App\Modules\LeadBookingTour\Application\List;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class LeadBookingTourListerQuery implements Query
{
    public function __construct(
        private int $idLeadBooking,
        private string $action
    ) {
    }

    public function getIdLeadBooking(): int
    {
        return $this->idLeadBooking;
    }

    public function getAction(): string
    {
        return $this->action;
    }
}
